:
#! /bin/sh5
######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../install/scr_ucl/install.sh  1.1  Delta: 11/23/90
######################################################################

# FourGen: User Control Libraries install script
# Author: Loren West

# set some variable defaults
umask 000
dn=/dev/null
if test ${INFORMIXDIR=empty} = empty
then
    test -d /usr/informix && INFORMIXDIR=/usr/informix
    test -d /usr2/informix && INFORMIXDIR=/usr2/informix
    if test $INFORMIXDIR = empty
    then
        echo "The \$INFORMIXDIR system variable needs to be set."
        exit 1
    else
        export INFORMIXDIR
    fi
fi

# Set the name of the file to test for version number
if test -f $INFORMIXDIR/bin/c4gl
  then ifx_ver=$INFORMIXDIR/etc/I4GL-cr
  else ifx_ver=$INFORMIXDIR/etc/I4GP-cr
fi

cd $fg/lib
rm -rf user_ctl.a user_ctl.RDS

# Check for Informix 1.10 vs. Informix 4.0 or later.
if grep ' 1\.10' $ifx_ver > $dn 2> $dn
then
    mv user_ctl.a3   user_ctl.a
    mv user_ctl.rds3 user_ctl.RDS
    rm -rf user_ctl.a4 user_ctl.rds4
else
    mv user_ctl.a4   user_ctl.a
    mv user_ctl.rds4 user_ctl.RDS
    rm -rf user_ctl.a3 user_ctl.rds3
fi
test -x /bin/ranlib && ranlib user_ctl.a 2>$dn
test -x /usr/bin/ranlib && ranlib user_ctl.a 2>$dn

# The object and RDS files have had their extentions removed
# because link.module would not have included them.
# The following logic places the correct extentions on the files.
cd user_ctl.RDS
for file in *
do
    mv $file $file.4go
done
mv depend.4go depend.RDS
mv func_map.4go func_map.RDS
mv unresolved.4go unresolved.RDS

# Move the Makefile in the stub library to Makefile.old so
# somebody that re-runs a make.rds (or make) in this directory
# won't trash out their UCL's.
mv $fg/lib/user_nul.4gs/Makefile $fg/lib/user_nul.4gs/Makefile.old 2>$dn
